Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.enterprise.ee.cms.core
Class GMSMember

    java.lang.Object
      com.sun.enterprise.ee.cms.core.GMSMember

All Implemented Interfaces:
  Serializable

    public class GMSMember

extends Object
implements Serializable

Encapsulates the member token and the member type in a serializable

Version:
  $Revision: 1.2 $
Author:
  Shreedhar Ganapathy Date: Mar 16, 2005
See Also:
  Serialized Form

Constructor Summary
`GMSMember(String memberToken, String memberType, String groupName, Long startTime)` Constructor

Method Summary
`String` | `getGroupName()`
`String` | `getMemberToken()` returns the member token
`String` | `getMemberType()` returns the member type
`long` | `getSnapShotId()`
`long` | `getStartTime()` Returns the time the member joined the group.
`boolean` | `isCore()`
`boolean` | `isWatchDog()`
`void` | `setSnapShotId(long id)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GMSMember

    public GMSMember(String memberToken,
                     String memberType,
                     String groupName,
                     Long startTime)

  Constructor

Method Detail

### getMemberToken

    public String getMemberToken()

  returns the member token

  Returns:
    String member token

### getMemberType

    public String getMemberType()

  returns the member type

  Returns:
    String member type

### setSnapShotId

    public void setSnapShotId(long id)

### getSnapShotId

    public long getSnapShotId()

### getGroupName

    public String getGroupName()

### getStartTime

    public long getStartTime()

  Returns the time the member joined the group.

  Returns:
    the time the member joined the group

### isWatchDog

    public boolean isWatchDog()

### isCore

    public boolean isCore()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.